@echo off 
REM
REM   pepe.bat V-0.1
REM
REM   Batch file to run pp with the correct switches for the EPE programmer.
REM   If TASM is used the obj file is converted to hex before programming.
REM
REM   Usage:  pepe file         (do not specify file extension) 
REM
REM   Copyright (C) David Tait 1998.  All rights reserved.
REM
echo.
echo.
echo             PEPE: PIC PROGRAMMER PREPROCESSOR (V-0.1)
echo             =========================================
echo.
echo.
if exist pp.exe goto found 
echo This program needs PP.EXE from PIC84V05.ZIP
echo.
goto end
:found
if exist %1.obj goto fmt
if exist %1.hex goto fmt
goto use
:fmt
echo.
echo   File format
echo.
echo        1.  TASM (obj)
echo        2.  MPASM (hex)
echo.
echo   Select (1-2)
echo.
k
if errorlevel 49 goto hex
goto fmt
:hex
set ppfmt=MPASM
if errorlevel 51 goto fmt
if errorlevel 50 goto nocvt
if exist %1.obj goto cvt
goto use
:cvt
obj2hex %1.obj %1.hex epeflag
set ppfmt=TASM
:nocvt
if exist %1.hex goto osc      
goto use
:osc
set ppsw=r
echo.
echo   Oscillator mode
echo.
echo        1.  LP (low power)               
echo        2.  XT (crystal) 
echo        3.  HS (high speed)              
echo        4.  RC (resistor/capacitor)
echo.
echo   Select (1-4)
echo.
k
if errorlevel 53 goto osc
if errorlevel 52 goto wdt
set ppsw=h
if errorlevel 51 goto wdt
set ppsw=x
if errorlevel 50 goto wdt
set ppsw=l
if errorlevel 49 goto wdt
goto osc
:wdt
echo.
echo   Watchdog timer
echo.
echo        1.  Enable watchdog              
echo        2.  Disable watchdog
echo.
echo   Select (1-2)
echo.
k
set pptmp=
if errorlevel 51 goto wdt
if errorlevel 50 goto put
set pptmp=w
if errorlevel 49 goto put
goto wdt
:put
set ppsw=%ppsw%%pptmp%
echo.
echo   Power-up timer
echo.
echo        1.  Enable power-up timer        
echo        2.  Disable power-up timer
echo.
echo   Select (1-2)
echo.
k
set pptmp=
if errorlevel 51 goto put
if errorlevel 50 goto cp
set pptmp=p
if errorlevel 49 goto cp
goto wdt
:cp
set ppsw=%ppsw%%pptmp%
echo.
echo   Code protection
echo.
echo        1.  Protected                 
echo        2.  Not protected 
echo.
echo   Select (1-2)
echo.
k
set pptmp=
if errorlevel 51 goto cp
if errorlevel 50 goto dev
set pptmp=c
if errorlevel 49 goto dev
goto cp     
:dev
set ppsw=%ppsw%%pptmp%
echo.
echo   Device
echo.
echo        1.  16C84                        
echo        2.  16F84
echo.
echo   Select (1-2)
echo.
k
set pptmp=
if errorlevel 51 goto dev
if errorlevel 50 goto done
set pptmp=o
if errorlevel 49 goto done
goto dev     
:done
set ppsw=%ppsw%%pptmp%
set ppsetup=3
:confirm
echo.
echo   Use %ppfmt% file %1 and options [ %ppsw% ]?
echo.
echo        1.  Yes                        
echo        2.  No - start over
echo        3.  No - quit
echo.
echo   Select (1-3)
echo.
k
set pptmp=
if errorlevel 52 goto confirm
if errorlevel 51 goto end
if errorlevel 50 goto fmt 
if errorlevel 49 goto prog
goto confirm     
:prog
echo.
echo.
pp -n -%ppsw% %1.hex
echo.
echo.
goto end
:use
echo.
echo Usage: pepe file
echo.
echo The file %1.obj or %1.hex was not found
echo.
:end
set ppsetup=
set ppsw=
set pptmp=
set ppfmt=
